Package org.eclipse.rdf4j.sail.federation.optimizers

## Class EmptyPatternOptimizer

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RepositoryException>
  - - org.eclipse.rdf4j.sail.federation.optimizers.EmptyPatternOptimizer

- All Implemented Interfaces:
    `QueryOptimizer`, `QueryModelVisitor<RepositoryException>`

      public class EmptyPatternOptimizer
      extends AbstractQueryModelVisitor<RepositoryException>
      implements QueryOptimizer

  Remove StatementPatterns that have no statements.
  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmptyPatternOptimizer​(Collection<? extends RepositoryConnection> members)` |
    `EmptyPatternOptimizer​(Collection<? extends RepositoryConnection> members, Function<? super Repository,​? extends RepositoryBloomFilter> bloomFilters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `meet​(StatementPattern node)` |
    `void` | `optimize​(TupleExpr query, Dataset dataset, BindingSet bindings)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyPatternOptimizer

          public EmptyPatternOptimizer​(Collection<? extends RepositoryConnection> members)

    - #### EmptyPatternOptimizer

          public EmptyPatternOptimizer​(Collection<? extends RepositoryConnection> members,
                                       Function<? super Repository,​? extends RepositoryBloomFilter> bloomFilters)

  - ### Method Detail

    - #### optimize

          public void optimize​(TupleExpr query,
                               Dataset dataset,
                               BindingSet bindings)

      Specified by:
        `optimize` in interface `QueryOptimizer`

    - #### meet

          public void meet​(StatementPattern node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`